--Order 20011380; received from HVH by mail

insert into DWH_SETTINGSPERTABLE
  (TABLENAME, ISFACTYN, LOADYN, SYSTEMUSER_ID, TIMESTAMP, SOURCESYSTEM)
  select 'STOCK_QUANTITY_SNAPSHOT', 'Y', 'Y', 1, sysdate, 0
    from dual
   where not exists (select 1
            from DWH_SETTINGSPERTABLE h
           where h.tablename = 'STOCK_QUANTITY_SNAPSHOT');
commit;